Jump to content
Search In
  • More options...
Find results that contain...
Find results in...

[TUTORIAL] Getting Started with ForgeGradle


GrygrFlzr
 Share

Recommended Posts

hi, i'm starting again my modding career,

but the fact that using "GradleStart in the run configuration for eclipse" is only mentioned in the comments and not in the initial post makes me kind of wondering. Written in 2013 it should be checked if everything in 2017 is still the way it was. And if so it should be mentioned there. My last time modding was 2015.

Sorry if someone is pissed if i say this, but i think as a coder, who checks every bit and byte and comma, you can't leave an important tutorial like that. It does not even explain what "gradlew eclipse" does exactly [..] .. Saying so i presume we are happy about as much (terrific) modders as possible .. [rant over][wishing a happy day]

Link to comment
Share on other sites

24 minutes ago, chrissiOnAir said:

hi, i'm starting again my modding career,

but the fact that using "GradleStart in the run configuration for eclipse" is only mentioned in the comments and not in the initial post makes me kind of wondering. Written in 2013 it should be checked if everything in 2017 is still the way it was. And if so it should be mentioned there. My last time modding was 2015.

Sorry if someone is pissed if i say this, but i think as a coder, who checks every bit and byte and comma, you can't leave an important tutorial like that. It does not even explain what "gradlew eclipse" does exactly [..] .. Saying so i presume we are happy about as much (terrific) modders as possible .. [rant over][wishing a happy day]

 

It's still the same as it was. This page is the most up-to-date guide on setting up a ForgeGradle workspace and it explains what each step does in a bit more detail.

  • Like 1

Please don't PM me to ask for help. Asking your question in a public thread preserves it for people who are having the same problem in the future.

Link to comment
Share on other sites

  • 1 year later...
7 minutes ago, Geisha said:

image.thumb.png.c78c9df321fced39dce52e3dc5020890.png

I'm sorry, how can i solution this exception ? the forge verson is 1.7.10 - 10.13.4.1614, and i change some text in the file "build.gradle".

there is what i chage:

image.png.03cf97f5c647a3b64a400ea93714898f.png

can some one help me? pls.

This is not a support thread. Moreover 1.7.10 and older versions are no longer supported on this forum. Update to a modern version of Minecraft if you want support.

Link to comment
Share on other sites

1 minute ago, diesieben07 said:

这不是支持线程。此外,此论坛不再支持1.7.10及更早版本。如果您需要支持,请更新到现代版的Minecraft。

so is that mean, i wanna get some help need me updata my forge verson to 1.10.x or more?

but some people say that the mod of 1.7.10 are best made... 

Link to comment
Share on other sites

Just now, Geisha said:

so is that mean, i wanna get some help need me updata my forge verson to 1.10.x or more?

but some people say that the mod of 1.7.10 are best made... 

If you want help, yes, stop using ancient versions.

And make your own thread.

Link to comment
Share on other sites

Hi everyone, sorry for bothering you all, but i'm having trouble setting up the environment for modding minecraft. When i run the command "gradlew setupDecompWorkspace" it says it can't resolve the dependencies for classpath, can somebody help me? I'm sorry if i post this here but i'm currently new so i don't know whether i should post this here or somewhere else.

Link to comment
Share on other sites

3 hours ago, Lamby said:

Hi everyone, sorry for bothering you all, but i'm having trouble setting up the environment for modding minecraft. When i run the command "gradlew setupDecompWorkspace" it says it can't resolve the dependencies for classpath, can somebody help me? I'm sorry if i post this here but i'm currently new so i don't know whether i should post this here or somewhere else.

If only it said 3 posts above yours what to do if you have a problem...

Make your own thread.

Link to comment
Share on other sites

  • 3 months later...
  • 8 months later...
  • 5 months later...
3 minutes ago, Nonamow said:

image.png.9d9026a99f5372b7eb2c2ca58beb047e.png

Should I download other JDE version?  

(I have forge-1.7.10-10.13.4.1558-1.7.10)

  1. This tutorial is old and no longer relevant.
  2. 1.7.10 is no longer supported on this forum due to it's age.
    Update to a modern version of Minecraft to receive support.

 

Locking this thread now, because it's old and not relevant anymore.

Link to comment
Share on other sites

Guest
This topic is now closed to further replies.
 Share




×
×
  • Create New...

Important Information

By using this site, you agree to our Privacy Policy.